#ifndef BPSMAdvertisement_h
#define BPSMAdvertisement_h

#import <Foundation/Foundation.h>

//! Player configuration for advertisements.
@interface BPSMAdvertisement : NSObject

//! String containing :
//! - url pointing to valid VMAP xml file,
//! - valid VMAP xml data,
//! - valid URL encoded VMAP xml data.
//! (For more details about VMAP - https://www.iab.com/guidelines/digital-video-multiple-ad-playlist-vmap-1-0-1/)
@property NSString *vmap;

//! Array of BPSMAdvertisementBreak objects.
@property NSMutableArray *breaks;

//! This option is for continuous ads presentation without any other content (only ads).
//! String containing link to VAST xml file with ads.
//! Ads from this file are displayed in loop.
@property NSString *vastLoopUrl;

- (NSDictionary *) toNSDictionary;

@end

#endif /* BPSMAdvertisement_h */
